## r-cran-rjsonio 1.3

=== DESCRIPTION ===
Package: RJSONIO
Version: 1.3-1.1
Title: Serialize R Objects to JSON, JavaScript Object Notation
Description: This is a package that allows conversion to and from 
  data in Javascript object notation (JSON) format.
  This allows R objects to be inserted into Javascript/ECMAScript/ActionScript code
  and allows R programmers to read and convert JSON content to R objects.
  This is an alternative to rjson package. Originally, that was too slow for converting large R objects to JSON
  and was not extensible.  rjson's performance is now similar to this package, and perhaps slightly faster in some cases.
  This package uses methods and is readily extensible by defining methods for different classes, 
  vectorized operations, and C code and callbacks to R functions for deserializing JSON objects to R. 
  The two packages intentionally share the same basic interface. This package (RJSONIO) has many additional
  options to allow customizing the generation and processing of JSON content.
  This package uses libjson rather than implementing yet another JSON parser. The aim is to support
  other general projects by building on their work, providing feedback and benefit from their ongoing development.
Note: See http://www.json.org/JSON_checker/test.zip for tests. We now
        use code from the libjson project
        (http://libjson.sourceforge.net).
License: BSD_3_clause + file LICENSE
Imports: methods
Authors@R: c(person("Duncan", "Temple Lang", role = c("aut", "cre"),
             email = "duncan@r-project.org",
	     comment = c(ORCID = "0000-0003-0159-1546")),
	     person("Jonathan", "Wallace", role = "aut",
	     comment = "aka ninja9578, author of included libjson sources"))
Collate: readJSON.R asVars.R isValid.R json.R simpleHandler.R stream.R
Biarch: true
NeedsCompilation: yes
Packaged: 2018-11-14 10:19:03 UTC; ripley
Author: Duncan Temple Lang [aut, cre] (<https://orcid.org/0000-0003-0159-1546>),
  Jonathan Wallace [aut] (aka ninja9578, author of included libjson
    sources)
Maintainer: ORPHANED
X-CRAN-Original-Maintainer: Duncan Temple Lang <duncan@r-project.org>
X-CRAN-Comment: Orphaned and corrected on 2018-11-12, after 4 years of
        no corrections.
Repository: CRAN
Date/Publication: 2018-11-14 12:47:36 UTC

## r-cran-rjsonio 1.3-0

=== debian/changelog ===
r-cran-rjsonio (1.3-0-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Rebuild for r-api-3.4 transition.
  * d/copyright: use secure URL for Format field.
  * d/watch: bump to file format version 4.
  * Convert to dh-r.
  * Bump to debhelper compat level 10.
  * Use secure URLs for Vcs-* fields.
  * Use canonical CRAN homepage.
  * d/copyright: fix ordering of paragraphs.
  * Add Testsuite: autopkgtest-pkg-r.
  * Bump to Standards-Version 4.1.1.
  * Remove unused lintian override.
  * Add some uncleaned files to debian/clean.

  [ Andreas Tille ]
  * Add upstream contact

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 12:31:55 +0200

r-cran-rjsonio (1.3-0-2) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 08 Apr 2016 07:46:35 +0200

r-cran-rjsonio (1.3-0-1) unstable; urgency=medium

  * Initial packaging (Closes: #712159)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 18 Feb 2016 21:43:55 +0100

=== debian/control ===
Source: r-cran-rjsonio
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: non-free/gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rjsonio.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rjsonio.git
Homepage: https://cran.r-project.org/package=RJSONIO

Package: r-cran-rjsonio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Serialize R objects to JSON, JavaScript Object Notation
 Allows conversion to and from data in Javascript object notation (JSON)
 format. This allows R objects to be inserted into
 Javascript/ECMAScript/ActionScript code and allows R programmers to read
 and convert JSON content to R objects. This is an alternative to rjson
 package. Originally, that was too slow for converting large R objects to
 JSON and was not extensible. rjson's performance is now similar to this
 package, and perhaps slightly faster in some cases. This package uses
 methods and is readily extensible by defining methods for different classes,
 vectorized operations, and C code and callbacks to R functions for
 deserializing JSON objects to R. The two packages intentionally share
 the same basic interface. This package (RJSONIO) has many additional
 options to allow customizing the generation and processing of JSON
 content. This package uses libjson rather than implementing yet another
 JSON parser. The aim is to support other general projects by building
 on their work, providing feedback and benefit from their ongoing development.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/RJSONIO_([-0-9\.]*)\.tar\.gz

## r-cran-rjsonio 1.3-1.1

=== debian/changelog ===
r-cran-rjsonio (1.3-1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * XS-Autobuild: yes

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 11:33:35 +0100

r-cran-rjsonio (1.3-0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-rjsonio
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Section: non-free/gnu-r
 Testsuite: autopkgtest-pkg-r
+XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-r
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rjsonio.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rjsonio.git
+Build-Depends: debhelper (>= 11~),
+               dh-r,
+               r-base-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjsonio
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjsonio.git
 Homepage: https://cran.r-project.org/package=RJSONIO
 
 Package: r-cran-rjsonio
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Serialize R objects to JSON, JavaScript Object Notation

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RJSONIO_([-0-9\.]*)\.tar\.gz
